internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N > Struct Template Reference
Inheritance diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >:
Collaboration diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >:

## Public Member Functions

| range_mapper ()
range_type | get_range (const kernel_input_tuple &ip) const __TBB_override
range_wrapper * | clone () const __TBB_override
Public Member Functions inherited from internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper
virtual | ~range_wrapper ()

## Detailed Description

### template<typename StreamFactory, typename KernelInputTuple>
template<int N>
struct internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >

Definition at line 230 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## range_mapper()

template<typename StreamFactory , typename KernelInputTuple >
template<int N>

internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >::range_mapper | ( |  | ) |

inline

Definition at line 231 of file _flow_graph_streaming_node.h.

{}

## Member Function Documentation

## clone()

template<typename StreamFactory , typename KernelInputTuple >
template<int N>

range_wrapper* internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >::clone | ( |  | ) | const

inline virtual

Implements internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper.

Definition at line 238 of file _flow_graph_streaming_node.h.

{
return new range_mapper<N>;
}

## get_range()

template<typename StreamFactory , typename KernelInputTuple >
template<int N>

range_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >::get_range | ( | const kernel_input_tuple & | ip | ) | const

inline virtual

Implements internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper.

Definition at line 233 of file _flow_graph_streaming_node.h.

{
// "+1" since get<0>(ip) is StreamFactory::device.
return get<N + 1>(ip).data(false);
}

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.